Subject: [Bier] draft-ietf-bier-idr-extensions questions & comments

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Tue, 8 May 2018 17:48:22 +0000

Hi,

I have some questions and comments on this.

With the following DC scenario,

   These extensions are applicable in those multi-tenant data centers
   where BGP instead of IGP is used as an underlay [RFC7938].

Since many EBGP sessions may be used inside the DC, do we still want the following on EACH EBGP session?

   An implementation that supports the BIER attribute MUST support a
   per-EBGP-session policy, that indicates whether the attribute is
   enabled or disabled for use on that session.  The BIER attribute MUST
   NOT be sent on any EBGP peers for which the session policy is not
   configured.  If an BIER attribute is received on a BGP session for
   which session policy is not configured, then the received attribute
   MUST be treated exactly as if it were an unrecognised non-transitive
   attribute.  That is, "it MUST be quietly ignored and not passed along
   to other BGP peers".

Seems that the policy is only needed on sessions to peers OUTSIDE the BIER domain.

4.  Originating BIER Attribute

   An implementation that supports the BIER attribute MUST support a
   policy to enable or disable the creation of the BIER attribute and
   its attachment to specific BGP routes.  An implementation MAY disable
   the creation of the BIER attribute unless explicitly configured to do
   so otherwise.  A BGP speaker MUST only attach the locally created
   BIER attribute to a BGP UPDATE message in which at least one of its
   BFR-prefixes is contained in the NLRI

What does the last sentence in the above paragraph mean? When would a router has more than one BFR-prefixes? Say a router has 5 local prefixes with one being the BIER prefix. Does it advertise one update with the BIER attribute or does it advertise two updates and only the one with the BIER prefix carry the attribute?

The document should have a section describing how BIRT/BIFT entries are built.

Jeffrey